如何在Mac Leopard上安装Ruby?

任何人都可以指导如何安装 ruby 1.9我尝试了网络上提供的安装指导.不能让它上班请一步一步地指导.我尝试使用macports,但每次我输入ruby -v它给我1.8.6.
rvm是在OSX上管理红宝石安装的最简单的方法.

如果您使用rvm,您可以通过键入rvm install 1.9.1来安装1.9.1,1.9.2,jruby,ree

键入rvm默认值将Ruby版本重置为1.8.6

如何安装rvm

sudo gem install rvm -s http://gemcutter.org/

rvm-install

rvm install 1.9.1

rvm use 1.9.1

ruby -v  # show ruby 1.9.1 version

rvm default

ruby -v  # show ruby 1.8.6 version

干杯

相关文章
相关标签/搜索